Subject: bug#34645: Make TeX-process-check prompt optional?

From: Reuben Thomas <[email-masked]>
Date: Mon, 25 Feb 2019 12:13:51 +0000

I find myself frequently being prompted by TeX-process-check while editing
a document that takes a long time to process. I always want to kill the
process and start a new one.

Would it be possible to add an option to disable the prompt, or is there
some reason why the prompt should always be offered?

I guess that in situations like mine an even better behaviour might be to
always let a run continue until it is done, but to queue up another run
when some change is outstanding. That way, one does not risk the output
document not updating for a long time if frequent edits are being made and
no LaTeX run ever completes, because it is always being interrupted.

Finally, I noticed one typo (version 12.1.2 of AUCTeX): the docstring of
TeX-process-check says "exist", and should say "exists".

For now, I just redefined TeX-process-check in my init sequence to omit the
prompt.

-- 
https://rrt.sc3d.org